body.light {
  background: #ffffff;
  color: #000000;
}

body.dark {
  background: #121212;
  color: #ffffff;
}

#mySidebar {
  width: 300px;
  transition: transform 0.3s ease;
  transform: translateX(-108%); 
  position: fixed; 
  top: 44px !important;
  left: 16px;
  height: calc(100% - 44px) !important;
  z-index: 1000;
  padding-top: 10px;

}

#sidebarContainer {
  position: fixed;
  top: 44px !important; 
  left: 0;
  height: calc(100% - 44px) !important; 
  width: 100px;
  z-index: 999;
}

#sidebarContainer:hover #mySidebar {
  transform: translateX(0);
}

#mySidebar.stuck {
  transform: translateX(0) !important;
}

#mySidebar .top-control {
  display: block;
  margin-left: 7px;
  padding: 8px 13px;
  border-radius: 6px;
  text-align: left;
}

#pinBtn {
  background: black;
  color: white;
  text-decoration: none;
}
#pinBtn.active {
  background-color: #70ac26 !important;
  color: black !important;
}

#themeBtn {
  background: black;
  color: white;
  text-decoration: none;
}

#mySidebar .active-link {
  background-color: #70ac26 !important; 
  color: black !important;
}

#mySidebar .w3-dropdown-click {
  display: flex;
  flex-direction: column;
  margin: 0 !important;
  padding: 0 !important;
}

#mySidebar .w3-dropdown-click > button {
  margin: 0 !important;
  padding: 8px 16px; 
}

#mySidebar .w3-dropdown-content {
  margin: 0 !important;
  padding: 0 !important;
  border-radius: 0;
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.5s ease;
}

#mySidebar .w3-dropdown-content.w3-show {
  max-height: 500px;
}

#mySidebar .sidebar-dropdown {
  position: relative !important;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.5s ease; 
  box-shadow: none;
  display: block;
}

#mySidebar .sidebar-dropdown.w3-show {
  max-height: 700px; 
  padding: 0;
}
